import request from '@/utils/request'

// 带权限查询审核分页数据
export function getFlowListPagePer(data) {
    return request({
        url: '/bizFlow/listByPagePer',
        method: 'post',
        data
    })
}
// 通过流程id查询流程详情
export function getFlowDetailById(params) {
    return request({
        url: '/bizFlow/detailById',
        method: 'get',
        params
    })
}

// 查询流程关联的文物详情(手动添加的文物详情)
export function getFlowCulturalRelicDetail(params) {
    return request({
        url: '/bizFlow/flowCulturalRelicDetail',
        method: 'get',
        params
    })
}


// 查询流程关联的展览详情(手动添加的展览详情)
export function getFlowExhibitionDetail(params) {
    return request({
        url: '/bizFlow/flowExhibitionDetail',
        method: 'get',
        params
    })
}

// 带权限分页查询流程关联的文物信息
export function getListFlowCulturalRelicByPage(data) {
    return request({
        url: '/bizFlow/listFlowCulturalRelicByPage',
        method: 'post',
        data
    })
}


// 带权限查询审核分页数据
export function getListByPagePer(data) {
    return request({
        url: '/bizFlow/delete',
        method: 'post',
        data
    })
}